import Taro from '@tarojs/taro'

const systemInfo = Taro.getSystemInfoSync()

function getMenuPosition() {
  let top = 4
  let right = 7
  let width = 87
  const height = 32
  if (systemInfo.platform === 'devtools' && systemInfo.system.indexOf('Android') === -1) {
    top = 6
    right = 10
  } else if (systemInfo.platform === 'devtools' && systemInfo.system.indexOf('Android') !== -1) {
    top = 8
    right = 10
  } else if (systemInfo.system.indexOf('Android') !== -1) {
    top = 8
    right = 10
    width = 95
  }
  return {
    top: systemInfo.statusBarHeight + top,
    left: systemInfo.windowWidth - width - right,
    width,
    height
  }
}

export default function getNavigationBarStyle() { // 是否固定使用上标签栏的高度,是返回否则返回固定高度值  是否导入系统的胶囊位置信息返回
  const menuPosition = getMenuPosition()
  const navigationBarPosition = {
    // 'topHeight': systemInfo.statusBarHeight,
    paddingTop: systemInfo.statusBarHeight,
    height: (menuPosition.top - systemInfo.statusBarHeight) * 2 + menuPosition.height - 8
  }
  navigationBarPosition.height = navigationBarPosition.paddingTop + navigationBarPosition.height

  return formatStyle(navigationBarPosition)
  // if (flag1) {
  // }

  // if (flag) {
  //   // Taro.setStorageSync('navTrueHeight', navigationBarPosition['topHeight'] + navigationBarPosition.height)
  //   // Taro.setStorageSync('Navstyle', this.formatStyle(navigationBarPosition))
  //   return formatStyle(navigationBarPosition)
  // } else {
  //   return navigationBarPosition['topHeight'] + navigationBarPosition.height
  // }
}
function formatStyle(position) { // 将对象格式化为数组
  // const styles = []
  for (const key in position) {
    // if (key === 'heightTotal') continue
    position[key] = position[key] + 'px'
    // styles.push(`${key}: ${position[key]}px;`)
  }
  return position
  // return styles.join(' ')
}
